Bug 137466 - [maintainer-update] [patch] unbreak and update games/eduke32
Summary: [maintainer-update] [patch] unbreak and update games/eduke32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-05 23:00 UTC by Olivier
Modified: 2009-08-07 19:00 UTC (History)
0 users

See Also:


Attachments
eduke32-patch (4.02 KB, text/plain)
2009-08-05 23:00 UTC, Olivier
no flags Details
eduke32-patch (4.34 KB, text/plain; charset=us-ascii)
2009-08-07 14:47 UTC, Olivier
no flags Details
eduke32-patch (4.09 KB, text/plain; charset=us-ascii)
2009-08-07 15:36 UTC, Olivier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier 2009-08-05 23:00:12 UTC
- make fetchable again
- update to latest version and patchset
- improve description of OPTIONS

Fix: Apply attached patch. Thanks !
	
How-To-Repeat: # make fetch
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for eduke32-20080709
=> eduke32_src_20080924.zip doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://wiki.eduke32.com/stuff/source_code/.
fetch: http://wiki.eduke32.com/stuff/source_code/eduke32_src_20080924.zip: Moved Permanently
Comment 1 Dmitry Marakasov freebsd_committer 2009-08-06 16:21:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-08-06 18:12:59 UTC
State Changed
From-To: open->feedback

Fails to patch: http://people.freebsd.org/~amdmi3/eduke.log
Comment 3 Olivier 2009-08-06 19:33:22 UTC
2009/8/6  <amdmi3@freebsd.org>:
> Synopsis: [maintainer-update] [patch] unbreak and update games/eduke32
>
> State-Changed-From-To: open->feedback
> State-Changed-By: amdmi3
> State-Changed-When: Thu Aug 6 17:12:59 UTC 2009
> State-Changed-Why:
> Fails to patch: http://people.freebsd.org/~amdmi3/eduke.log

Well my local patch is correct because it contains CRLF endings,
converted to LF by send-pr.

USE_DOS2UNIX can't convert build/src/mmulti_unstable.c, I'll investigate that.

>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137466
>

-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 4 Olivier 2009-08-07 14:47:25 UTC
On Thu, Aug 06, 2009 at 05:13:15PM +0000, amdmi3@FreeBSD.org wrote:
> Synopsis: [maintainer-update] [patch] unbreak and update games/eduke32
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: amdmi3
> State-Changed-When: Thu Aug 6 17:12:59 UTC 2009
> State-Changed-Why: 
> Fails to patch: http://people.freebsd.org/~amdmi3/eduke.log

This time it should be good. No more CRLF endings in local patches.
I added a "-l" to default PATCH_ARGS to ignore white space/line endings
differences. I couldn't simply USE_DOS2UNIX cause distribution patch and local
patch want to patch the same file. There's no simple way to USE_DOS2UNIX on a
distribution patch or between distribution and local patches.

Thanks !

> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137466

-- 
Olivier Smedts                                              _
                          ASCII ribbon campaign            ( )
e-mail: olivier@gid0.org - against HTML email & vCards      X
www: http://www.gid0.org - against proprietary attachments / \

 "Il y a seulement 10 sortes de gens dans le monde :
 ceux qui comprennent le binaire,
 et ceux qui ne le comprennent pas."
Comment 5 Olivier 2009-08-07 15:36:28 UTC
Updated patch, please ignore the previous one. The port is still broken on sparc64.

-- 
Olivier Smedts                                              _
                          ASCII ribbon campaign            ( )
e-mail: olivier@gid0.org - against HTML email & vCards      X
www: http://www.gid0.org - against proprietary attachments / \

 "Il y a seulement 10 sortes de gens dans le monde :
 ceux qui comprennent le binaire,
 et ceux qui ne le comprennent pas."
Comment 6 Dmitry Marakasov freebsd_committer 2009-08-07 18:50:35 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 7 Dmitry Marakasov freebsd_committer 2009-08-07 18:50:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2009-08-07 18:50:59 UTC
amdmi3      2009-08-07 17:50:46 UTC

  FreeBSD ports repository

  Modified files:
    games/eduke32        Makefile distinfo 
  Added files:
    games/eduke32/files  patch-build-src-mmulti_unstable.c 
                         patch-source-jaudiolib-dsl.c 
  Log:
  - Update to 20090313
  - Unbreak fetch
  
  PR:             137466
  Submitted by:   Olivier Smedts <olivier@gid0.org>
  
  Revision  Changes    Path
  1.21      +12 -9     ports/games/eduke32/Makefile
  1.9       +6 -3      ports/games/eduke32/distinfo
  1.1       +14 -0     ports/games/eduke32/files/patch-build-src-mmulti_unstable.c (new)
  1.1       +10 -0     ports/games/eduke32/files/patch-source-jaudiolib-dsl.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"